GET api/Statistics/ventas/report_bat?startDate={startDate}&endDate={endDate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| startDate | string |
Required |
|
| endDate | string |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of ReportVentasBatItem| Name | Description | Type | Additional information |
|---|---|---|---|
| empresa | string |
None. |
|
| local | string |
None. |
|
| via | string |
None. |
|
| direccion | string |
None. |
|
| cp | string |
None. |
|
| pobla | string |
None. |
|
| provin | string |
None. |
|
| modelo | string |
None. |
|
| pulsadores | integer |
None. |
|
| canales | integer |
None. |
|
| totVentas | integer |
None. |
|
| totVentasBAT | integer |
None. |
|
| LSR | integer |
None. |
|
| LSCR | integer |
None. |
|
| ROL | integer |
None. |
|
| LSDC | integer |
None. |
|
| LS_SOFT | integer |
None. |
|
| LS_BLUE | integer |
None. |
|
| LS_FRESH | integer |
None. |
|
| ROL_SWITCH | integer |
None. |
|
| LS_100 | integer |
None. |
|
| ROL_100 | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"empresa": "sample string 1",
"local": "sample string 2",
"via": "sample string 3",
"direccion": "sample string 4",
"cp": "sample string 5",
"pobla": "sample string 6",
"provin": "sample string 7",
"modelo": "sample string 8",
"pulsadores": 9,
"canales": 10,
"totVentas": 11,
"totVentasBAT": 12,
"LSR": 1,
"LSCR": 1,
"ROL": 1,
"LSDC": 1,
"LS_SOFT": 1,
"LS_BLUE": 1,
"LS_FRESH": 1,
"ROL_SWITCH": 1,
"LS_100": 1,
"ROL_100": 1
},
{
"empresa": "sample string 1",
"local": "sample string 2",
"via": "sample string 3",
"direccion": "sample string 4",
"cp": "sample string 5",
"pobla": "sample string 6",
"provin": "sample string 7",
"modelo": "sample string 8",
"pulsadores": 9,
"canales": 10,
"totVentas": 11,
"totVentasBAT": 12,
"LSR": 1,
"LSCR": 1,
"ROL": 1,
"LSDC": 1,
"LS_SOFT": 1,
"LS_BLUE": 1,
"LS_FRESH": 1,
"ROL_SWITCH": 1,
"LS_100": 1,
"ROL_100": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfStatisticsController.ReportVentasBatItem xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VendingAPI.Controllers">
<StatisticsController.ReportVentasBatItem>
<LSCR>1</LSCR>
<LSDC>1</LSDC>
<LSR>1</LSR>
<LS_100>1</LS_100>
<LS_BLUE>1</LS_BLUE>
<LS_FRESH>1</LS_FRESH>
<LS_SOFT>1</LS_SOFT>
<ROL>1</ROL>
<ROL_100>1</ROL_100>
<ROL_SWITCH>1</ROL_SWITCH>
<canales>10</canales>
<cp>sample string 5</cp>
<direccion>sample string 4</direccion>
<empresa>sample string 1</empresa>
<local>sample string 2</local>
<modelo>sample string 8</modelo>
<pobla>sample string 6</pobla>
<provin>sample string 7</provin>
<pulsadores>9</pulsadores>
<totVentas>11</totVentas>
<totVentasBAT>12</totVentasBAT>
<via>sample string 3</via>
</StatisticsController.ReportVentasBatItem>
<StatisticsController.ReportVentasBatItem>
<LSCR>1</LSCR>
<LSDC>1</LSDC>
<LSR>1</LSR>
<LS_100>1</LS_100>
<LS_BLUE>1</LS_BLUE>
<LS_FRESH>1</LS_FRESH>
<LS_SOFT>1</LS_SOFT>
<ROL>1</ROL>
<ROL_100>1</ROL_100>
<ROL_SWITCH>1</ROL_SWITCH>
<canales>10</canales>
<cp>sample string 5</cp>
<direccion>sample string 4</direccion>
<empresa>sample string 1</empresa>
<local>sample string 2</local>
<modelo>sample string 8</modelo>
<pobla>sample string 6</pobla>
<provin>sample string 7</provin>
<pulsadores>9</pulsadores>
<totVentas>11</totVentas>
<totVentasBAT>12</totVentasBAT>
<via>sample string 3</via>
</StatisticsController.ReportVentasBatItem>
</ArrayOfStatisticsController.ReportVentasBatItem>